#!/bin/sh

# Graterlia OS
# homepage: http://graterlia.xunil.pl
# e-mail: graterlia@xunil.pl
#
# skrypt z różnymi takimi tam
# wersja 2014-08-27

# wczytanie danych potrzebnych do pobrania pakietów
. /var/grun/grcstype
. /var/grun/gfronttype
. /etc/sysctl.conf
ling=`cat /etc/enigma2/settings | grep config.osd.language | cut -d '=' -f2`
#ling=en_EN
#echo $ling

# <<--- Funkcje --->>
noparms() #funkcja informacji o braku parametru oraz wyświetlenie wstępnych informacji o możliwych opcjach
{
if [ $ling = pl_PL ]; then
echo "	Parametr jest niewłaściwy

testnet --> sprawdź działanie sieci
nandmount --> montuj wewnętrzny NAND do /mnt/nand
nandbackup --> kopiuj wewnętrzny NAND do /ram/plik.gz
settingsbackup --> kopiuj ustawienia systemu
listbackup --> wykonaj kopię lokalnej listy
listrestore --> przywróć lokalną listę z kopii
restartgui --> restartuj GUI
restart --> restartuj system
wakeup --> włącz tuner
standby --> wyłącz tuner"
else
echo "	parameter is not correct

testnet ---> check network condition
nandmount ---> mount internal NAND to /mnt/nand
nandbackup ---> make internal NAND backup  to /ram/plik.gz
settingsbackup ---> backup system settings
listbackup --> wykonaj kopię lokalnej listy
listrestore --> przywróć lokalną listę z kopii
restartgui ---> restart GUI
restart --> restart system
wakeup ---> switch on tuner
standby ---> switch off tuner"
fi
}

list_backup() #funkcja wykonania kopii listy kanałów
{
if [ -e /var/opkg/info/enigma2-channels-hotbird-richter.list ] || [ -e /var/opkg/info/enigma2-channels-hotbird-astra-richter.list ]; then
	echo "Masz zainstalowaną listę kanałów @richter."
	echo "Wstrzymuję wykonanie kopii."
else
	dataa=`date +%Y-%m-%d_%H-%M`
	if [ ! -e /ram/tmp ]; then
		mkdir /ram/tmp
	fi
	mkdir -p /ram/tmp/etc/enigma2
	mkdir -p /ram/tmp/etc/tuxbox
	if [ $ling = pl_PL ]; then
		echo "Kopiowanie danych"
	else
		echo "Files copying"
	fi
	cp /etc/tuxbox/cables.xml /ram/tmp/etc/tuxbox/
	cp /etc/tuxbox/satellites.xml /ram/tmp/etc/tuxbox/
	cp /etc/tuxbox/terrestrial.xml /ram/tmp/etc/tuxbox/
	cp /etc/enigma2/blacklist /ram/tmp/etc/enigma2
	cp /etc/enigma2/bouquets* /ram/tmp/etc/enigma2
	cp /etc/enigma2/lamedb /ram/tmp/etc/enigma2
	cp /etc/enigma2/userbouquet* /ram/tmp/etc/enigma2
	cp /etc/enigma2/whitelist /ram/tmp/etc/enigma2
	if [ $ling = pl_PL ]; then
		echo "Archiwizowanie danych"
	else
		echo "Data archiving"
	fi
	cd /ram/tmp
	tar -czf channelslist.tar.gz *
	if grep -q "/media/data" /proc/mounts; then
		if [ ! -e /media/data/backup ]; then
			mkdir -p /media/data/backup
		fi
		if [ $ling = pl_PL ]; then
			echo "Masz zamontowane urządzenie do /media/data"
			echo "Archiwum zostało utworzone w /media/data/backup"
		else
			echo "You have device mounted in /media/data"
			echo "System settings copy was made in /media/data/backup"
		fi
		if [ -e /media/data/backup/channelslist.tar.gz ]; then
			rm /media/data/backup/channelslist.tar.gz
		fi
		cp /ram/tmp/channelslist.tar.gz /media/data/backup/
		cp /ram/tmp/channelslist.tar.gz /media/data/backup/channelslist_$dataa.tar.gz
	elif grep -q "/hdd" /proc/mounts; then
		if [ ! -e /hdd/backup ]; then
			mkdir -p /hdd/backup
		fi
		if [ $ling = pl_PL ]; then
			echo "Masz zamontowane urządzenie do /hdd"
			echo "Archiwum zostało utworzone w /hdd/backup"
		else
			echo "You have device mounted in /hdd"
			echo "System settings copy was made in /hdd/backup/"
		fi
		if [ -e /hdd/backup/channelslist.tar.gz ]; then
			rm /hdd/backup/channelslist.tar.gz
		fi
		cp /ram/tmp/channelslist.tar.gz /hdd/backup/
		cp /ram/tmp/channelslist.tar.gz /hdd/backup/channelslist_$dataa.tar.gz
	else
		if [ ! -e /root/backup ]; then
			mkdir -p /root/backup
		fi
		if [ $ling = pl_PL ]; then
			echo "Brak zamontowanego urządzenia do /media/data lub /hdd"
			echo "Archiwum zostało utworzone w /root/backup/"
		else
			echo "No device mounted in /media/data lub /hdd"
			echo "System settings copy was made in /root/backup/"
		fi
		if [ -e /root/backup/channelslist.tar.gz ]; then
			rm /root/backup/channelslist.tar.gz
		fi
		cp /ram/tmp/channelslist.tar.gz /root/backup/
		cp /ram/tmp/channelslist.tar.gz /root/backup/channelslist_$dataa.tar.gz
	fi
	if [ -e /ram/tmp ]; then
		if [ $ling = pl_PL ]; then
			echo "Usuwanie plików tymczasowych"
		else
			echo "Temporary files deleting"
		fi
		rm -r /ram/tmp
		sync
	fi
fi #End
}

list_restore() #funkcja wgrania kopii listy kanałów
{
if [ -e /var/opkg/info/enigma2-channels-hotbird-richter.list ] || [ -e /var/opkg/info/enigma2-channels-hotbird-astra-richter.list ]; then
	echo "Masz zainstalowaną listę kanałów @richter."
	echo "Wstrzymuję wykonanie kopii."
else
	if [ $ling = pl_PL ]; then
		echo "Instalacja listy kanałów z kopii lokalnej"
	else
		echo "Channel list installing from local copy"
	fi
	if [ -e /media/data/backup/channelslist.tar.gz ]; then
		if [ $ling = pl_PL ]; then
		echo "Wypakowuje archiwum z /media/data/backup/"
		else
			echo "Unpacking archiv from /media/data/backup/"
		fi
		cd /
		rm /etc/enigma2/blacklist
		rm /etc/enigma2/bouquets.radio
		rm /etc/enigma2/bouquets.tv
		rm /etc/enigma2/lamedb
		if [ -e /etc/enigma2/satellites.xml ]; then
			rm /etc/enigma2/satellites.xml
		fi
		rm /etc/enigma2/userbouquet*
		tar -xzf /media/data/backup/channelslist.tar.gz
		wget -q -O /dev/null http://127.0.0.1/web/servicelistreload?mode=0
		wget -q -O /dev/null http://127.0.0.1/web/subservices
		if [ $ling = pl_PL ]; then
			echo "Przywrócono dane"
		else
			echo "Data restored"
		fi
	elif [ -e /hdd/backup/channelslist.tar.gz ]; then
		if [ $ling = pl_PL ]; then
			echo "Wypakowuje archiwum z /hdd/backup/"
		else
			echo "Unpacking archiv from /hdd/backup/"
		fi
		cd /
		rm /etc/enigma2/blacklist
		rm /etc/enigma2/bouquets.radio
		rm /etc/enigma2/bouquets.tv
		rm /etc/enigma2/lamedb
		if [ -e /etc/enigma2/satellites.xml ]; then
			rm /etc/enigma2/satellites.xml
		fi
		rm /etc/enigma2/userbouquet*
		tar -xzf /hdd/backup/channelslist.tar.gz
		wget -q -O /dev/null http://127.0.0.1/web/servicelistreload?mode=0
		wget -q -O /dev/null http://127.0.0.1/web/subservices
		if [ $ling = pl_PL ]; then
			echo "Przywrócono dane"
		else
			echo "Data restored"
		fi
	elif [ -e /root/backup/channelslist.tar.gz ]; then
		if [ $ling = pl_PL ]; then
			echo "Wypakowuje archiwum z /root/backup/"
		else
			echo "Unpacking archiv from /root/backup/"
		fi
		cd /
		rm /etc/enigma2/blacklist
		rm /etc/enigma2/bouquets.radio
		rm /etc/enigma2/bouquets.tv
		rm /etc/enigma2/lamedb
		if [ -e /etc/enigma2/satellites.xml ]; then
			rm /etc/enigma2/satellites.xml
		fi
		rm /etc/enigma2/userbouquet*
		tar -xzf /root/backup/channelslist.tar.gz
		wget -q -O /dev/null http://127.0.0.1/web/servicelistreload?mode=0
		wget -q -O /dev/null http://127.0.0.1/web/subservices
		if [ $ling = pl_PL ]; then
			echo "Przywrócono dane"
		else
			echo "Data restored"
		fi
	else
		if [ $ling = pl_PL ]; then
			echo "Brak archiwum z danymi"
		else
			echo "No archiv with data"
		fi
	fi	
fi #End
}

list_user() #funkcja wgrania listy kanałów użytkownika
{
if [ -e /var/opkg/info/enigma2-channels-hotbird-richter.list ] || [ -e /var/opkg/info/enigma2-channels-hotbird-astra-richter.list ]; then
	echo "Masz zainstalowaną listę kanałów @richter."
	echo "Wstrzymuję wgrywanie innej listy."
else
	if [ $ling = pl_PL ]; then
		echo "Instalacja listy kanałów użytkownika"
	else
		echo "User channel list installing"
	fi
	if [ ! -e /ram/tmp ]; then
		mkdir /ram/tmp
	fi
	if [ $ling = pl_PL ]; then
		echo "Pobieranie pakietu z listą kanałów"
	else
		echo "Channel list downloading"
	fi
	cd /ram/tmp
	wget -q -c $SERWER/$NAZWA_PLIKU
	if [ -e /ram/tmp/$NAZWA_PLIKU ]; then
		cd /
		rm /etc/enigma2/blacklist
		rm /etc/enigma2/bouquets.radio
		rm /etc/enigma2/bouquets.tv
		rm /etc/enigma2/lamedb
		rm /etc/tuxbox/satellites.xml
		rm /etc/enigma2/userbouquet*
		tar -xzf /ram/tmp/$NAZWA_PLIKU -C /
		wget -q -O /dev/null http://127.0.0.1/web/servicelistreload?mode=0
		wget -q -O /dev/null http://127.0.0.1/web/subservices
		if [ $ling = pl_PL ]; then
			echo "Zakończono instalację nowej listy kanałów"
		else
			echo "Installation of new channel list is done"
		fi
	else
		if [ $ling = pl_PL ]; then
			echo "Brak archiwum z danymi"
		else
			echo "No archiv with data"
		fi
	fi
	if [ $ling = pl_PL ]; then
		echo "Usuwanie plików tymczasowych"
	else
		echo "Temporary files deleting"
	fi
	rm -r /ram/tmp
fi #End
}

nand_mount() #Montowanie NAND do/z /mnt/nand
{
if grep -q "/mnt/nand" /proc/mounts; then
	if [ $ling = pl_PL ]; then
		echo "Wewnętrzny NAND jest zamontowany do /mnt/nand - odmontowywanie"
	else
		echo "Internal NAND is mounted to /mnt/nand - unmounting"
	fi
	umount /mnt/nand
	if [ $ling = pl_PL ]; then
		echo "Montowanie wewnętrznego NAND do /mnt/nand"
	else
		echo "Internal NAND mounting to /mnt/nand"
	fi
fi
	if [ $rcstype == ADB5800 ]; then
		mount -t jffs2 /dev/mtdblock0 /mnt/nand
	fi
	if [ $rcstype == ADB2850 ]; then
		mount -t jffs2 /dev/mtdblock1 /mnt/nand
	fi
	if [ $rcstype == ESI88 ] || [ $rcstype == UHD88 ] || [ $rcstype == DSI87 ]; then
		mount -t jffs2 /dev/mtdblock2 /mnt/nand
	fi
	if [ $ling = pl_PL ]; then
		echo "Aby odmontować NAND, wpisz: umount /mnt/nand"
	else
		echo "To unmount the NAND, type in: umount /mnt/nand"
	fi
}

nand_backup() #Kopia danych z NAND/NOR do pliku w /ram
{
d_a1=`date +%Y-%m-%d_%H-%M`
if [ $rcstype == ESI88 ]; then
	file_name="ESI-88_NOR_rootfs_backup"
elif [ $rcstype == UHD88 ]; then
	file_name="UHD-88_NOR_rootfs_backup"
elif [ $rcstype == DSI87 ]; then
	file_name="DSI-87_NOR_rootfs_backup"
elif [ $rcstype == ADB5800 ]; then
	file_name="ADB5800xx_NAND_rootfs_backup"
elif [ $rcstype == ADB2850 ]; then
	file_name="ADB2850_NAND_rootfs_backup"
fi
if grep -q "/mnt/nand" /proc/mounts; then
	if [ $ling = pl_PL ]; then
		echo "Wewnętrzny NAND jest już zamontowany do /mnt/nand"
	else
		echo "Internal NAND is mounted to /mnt/nand"
	fi
else
	if [ $ling = pl_PL ]; then
		echo "Montowanie wewnętrznego NAND do /mnt/nand"
	else
		echo "Internal NAND mounting to /mnt/nand"
	fi
	nand_mount
fi
cd /mnt/nand
if grep -q "/media/data" /proc/mounts; then
	if [ -e /media/data/backup ]; then
		mkdir -p /media/data/backup
	fi
	if [ $ling = pl_PL ]; then
		echo "Wykonywanie kopii zawartości NAND do /media/data/$file_name-$d_a1.tar.gz"
	else
		echo "Internal NAND content copy is made to /media/data/$file_name-$d_a1.tar.gz"
	fi
	tar -cvzf /media/data/$file_name-$d_a1.tar.gz *
	echo
	if [ $ling = pl_PL ]; then
		echo "Kopia wykonana do /media/data/$file_name-$d_a1.tar.gz"
	else
		echo "Copy is made to /media/data/$file_name-$d_a1.tar.gz"
	fi
elif grep -q "/hdd" /proc/mounts; then
	if [ -e /hdd/backup ]; then
		mkdir -p /hdd/backup
	fi
	if [ $ling = pl_PL ]; then
		echo "Wykonywanie kopii zawartości NAND do /hdd/backup/$file_name-$d_a1.tar.gz"
	else
		echo "Internal NAND content copy is made to /media/data/$file_name-$d_a1.tar.gz"
	fi
	echo
	tar -cvzf /hdd/backup/$file_name-$d_a1.tar.gz *
	echo
	if [ $ling = pl_PL ]; then
		echo "Kopia wykonana do /hdd/backup/$file_name-$d_a1.tar.gz"
	else
		echo "Copy is made to /media/data/$file_name-$d_a1.tar.gz"
	fi
else
	if [ $ling = pl_PL ]; then
		echo "Wykonywanie kopii zawartości NAND do /ram/$file_name-$d_a1.tar.gz"
	else
		echo "Internal NAND content copy is made to /ram/$file_name-$d_a1.tar.gz"
	fi
	tar -cvzf /ram/tmp-$file_name-$d_a1.tar.gz *
	echo
	if [ $ling = pl_PL ]; then
		echo "Kopia wykonana do /ram/$file_name-$d_a1.tar.gz"
		echo "Przenieś natychmiast kopię NAND do innej lokalizacji"
		echo "Jeżeli plik pozostanie w /ram, system może być niestabilny"
		echo "i może wykonać niespodziewany restart"
	else
		echo "Copy is made to /ram/$file_name-$d_a1.tar.gz"
		echo "Move NAND copy to another location immediately"
		echo "If the file will remain in the /ram, system can be unstable"
		echo "and can perform spontaneous reboot"
	fi
fi
}

settings_backup() #Funkcja backupu ustawień systemu
{
dataa=`date +%Y-%m-%d_%H-%M`
if [ ! -e /ram/tmp ]; then
	mkdir -p /ram/tmp
fi
if [ $ling = pl_PL ]; then
	echo "Archiwizowanie danych"
else
	echo "Data archiving"
fi
cd /ram/tmp
tar -czf settingsbackup_$dataa.tar.gz /etc/
if grep -q "/media/data" /proc/mounts; then
	if [ ! -e /media/data/backup ]; then
		mkdir -p /media/data/backup
	fi
	cp /ram/tmp/settingsbackup_$dataa.tar.gz /media/data/backup/
	if [ $ling = pl_PL ]; then
		echo "Masz zamontowane urządzenie do /media/data"
		echo "Archiwum zostało utworzone w /media/data/backup/"
	else
		echo "You have device mounted in /media/data"
		echo "System settings copy was made in /media/data/backup/"
	fi
elif grep -q "/hdd" /proc/mounts; then
		if [ ! -e /hdd/backup ]; then
			mkdir -p /hdd/backup
		fi
		cp /ram/tmp/settingsbackup_$dataa.tar.gz /hdd/backup/
		if [ $ling = pl_PL ]; then
			echo "Masz zamontowane urządzenie do /hdd"
			echo "Archiwum zostało utworzone w /hdd/backup/"
		else
			echo "You have device mounted in /hdd"
			echo "System settings copy was made in /hdd/backup/"
		fi	
else
	if [ ! -e /root/backup ]; then
		mkdir -p /root/backup
	fi
	cp /ram/tmp/settingsbackup_$dataa.tar.gz /root/backup/	
	if [ $ling = pl_PL ]; then
		echo "Brak zamontowanego urządzenia do /media/data lub /hdd"
		echo "Archiwum zostało utworzone w /root/backup/"
	else
		echo "No device mounted in /media/data lub /hdd"
		echo "System settings copy was made in /root/backup/"
	fi
	if [ $ling = pl_PL ]; then
		echo "Usuwanie plików tymczasowych"
	else
		echo "Temporary files deleting"
	fi
fi
rm -r /ram/tmp
sync
}

init_hdd() # Inicjalizacja dysku twardego
{
if [ $ling = pl_PL ]; then
	inithdd01msg="Inicjalizacja dysku twardego nBox"
	inithdd02msg="Inicjalizacja całkowicie usuwa zawartości nośnika sda"
	inithdd03msg="i przygotowanie go do pracy jako nośnik dla nagrań"
	inithdd04msg="Jeżeli jesteś pewien, wybierz b i naciśnij ENTER"
	inithdd05msg="Aby przerwać, naciśnij ENTER"
	inithdd06msg="Jesteś pewien?"
	inithdd07msg="Jeżeli TAK, wybierz a i naciśnij ENTER"
	inithdd08msg="Inicjalizacja rozpoczęta"
	inithdd09msg="Proszę czekać na zakończenie"
	inithdd10msg="Brak nośnika. Nie ma nic do inicjalizacji"
	inithdd11msg="Odmontowywanie"
	inithdd12msg="Tworzenie tablicy partycji na"
	inithdd13msg="Formatowanie"
	inithdd14msg="Spróbuj ponownie później"
else
	inithdd01msg="nBox hard disk initializing"
	inithdd02msg="The initialization completely removes sda media content"
	inithdd03msg="and prepares one to work as recording media"
	inithdd04msg="If you are sure, select b and press ENTER"
	inithdd05msg="To cancel, press ENTER"
	inithdd06msg="Are you sure?"
	inithdd07msg="If YES, select a and press ENTER"
	inithdd08msg="Initialization is started"
	inithdd09msg="Please wait for completion"
	inithdd10msg="No media. There is nothing to initialize"
	inithdd11msg="Unmounting"
	inithdd12msg="Partition table creating on"
	inithdd13msg="Formatting"
	inithdd14msg="Cleaning"
fi
echo $inithdd01msg #inicjalizacja dysku twardego nBox
echo $separatormsg #<<------>>
echo $inithdd02msg #Inicjalizacja całkowicie usuwa zawartości nośnika sda
echo $inithdd03msg #i przygotowanie go do pracy jako nośnik dla nagrań
echo
echo $inithdd04msg #Jeżeli jesteś pewien, wybierz b i naciśnij ENTER
echo $inithdd05msg #Aby przerwać, naciśnij ENTER
read AA
case "$AA" in
	'b')
		echo $inithdd06msg #Jesteś pewien?
		echo $inithdd07msg #Jeżeli TAK, wybierz a i naciśnij ENTER
		echo $inithdd05msg #Aby przerwać, naciśnij ENTER
		read BB
		case "$BB" in
			'a')
				echo $inithdd08msg #Inicjalizacja rozpoczęta
				echo $inithdd09msg #Proszę czekać na zakończenie
				#Wpisz odpowiednie urządzenie
				media_init=sda
				if [ ! -e /ram/tmp ]; then
					mkdir -p /ram/tmp
				fi
				inithddtest=`grep -q "$media_init" /proc/mounts`
				if [ ! 'grep -q "$media_init" /proc/mounts' ]; then
					echo $inithdd10msg #Brak nośnika. Nie ma nic do inicjalizacji
				else
					part=`df -h | grep $media_init | awk {'print $1'}`
					while [ `df -h | grep $media_init | awk {'print $1'} | tail -n1` ]; do
						uumount=`df -h | grep $media_init | awk {'print $1'} | tail -n1`
						echo "$inithdd11msg $uumount..." #Odmontowywanie
						umount $uumount
					done
					#dd if=/dev/zero of=/dev/sda &
					#sleep 3
					#killall -9 dd
					echo "$inithdd12msg $media_init" #Tworzenie tablicy partycji na
					echo ",384" > /ram/tmp/part.set
					echo ";" >> /ram/tmp/part.set
					sfdisk /dev/$media_init -q -L -uM < /ram/tmp/part.set > /dev/null
					echo "$inithdd13msg $media_init"1"" #Formatowanie
					mkfs.$exttypeh -L "data" /dev/$media_init"1"
					echo "$inithdd13msg $media_init"2"" #Formatowanie
					mkfs.$exttypeh -L "records" /dev/$media_init"2"
					mount /hdd
					mount /media/data
					df -h
				fi
				echo $bckpmsg06 #Usuwanie plików tymczasowych
				rm -r /ram/tmp
			;;
			*)
				echo $inithdd14msg #Spróbuj ponownie później
			;;
		esac
	;;
	*)
		echo $inithdd14msg #Spróbuj ponownie później
	;;
esac
}

check_update()
{
opkg update 2> /dev/null > /dev/null
if ! /usr/bin/opkg list-upgradable | grep - > /dev/null; then
	echo "Twój system jest aktualny :)"
else
	echo " Nastepujące aktualizacje są dostępne:"
	/usr/bin/opkg list-upgradable
fi
}

check_updatemess()
{
opkg update 2> /dev/null > /dev/null
if ! /usr/bin/opkg list-upgradable | grep - > /dev/null; then
	echo "Twój system jest aktualny :)"
else
	echo "Nastepujące aktualizacje są dostępne:"
	listuj=`/usr/bin/opkg list-upgradable`
	messagetest=BLA
#	messagetext="Dostępna jest aktualizacja systemu!
#Poniżej lista nowych pakietów w repozytorium:
#$listuj"
	/usr/bin/wget -q -O /dev/null "http://127.0.0.1/web/message?text=Są%20nowe%20aktualizacje%20dla%20Graterlia%20OS&type=1&timeout=15"
fi
}

ustawoscamwebif()
{
if [ -e /var/opkg/info/oscam-webif.list ]; then
	echo "Masz już zainstalowany OScam Webif"
else
	opkg update 2> /dev/null > /dev/null
	opkg remove --autoremove oscam
	opkg install oscam-webif
	echo "Instalacja zakończona"
fi
}

ustawoscambezwebif()
{
if [ -e /var/opkg/info/oscam.list ]; then
	echo "Masz już zainstalowany OScam bez Webif"
else
	opkg update 2> /dev/null > /dev/null
	opkg remove --autoremove oscam-webif
	opkg install oscam
	echo "Instalacja zakończona"
fi
}

ustaw_autoupdate()
{
if grep -q "checkupdatemess" /var/spool/cron/crontabs/root; then
	linia=`cat /etc/sysconfig/autoupdateh`
	sed --in-place '/checkupdatemess/d' /var/spool/cron/crontabs/root
	rm /etc/sysconfig/autoupdateh
	echo "Powiadamianie o aktualizacjach wyłączone"
else
	randomus=`hexdump -n 2 -e '/2 "%u"' /dev/urandom`
	r=$(($randomus % 30 + 1 ))
	echo "$r 20 * * * /usr/bin/system.sh checkupdatemess" > /etc/sysconfig/autoupdateh
	cat /etc/sysconfig/autoupdateh >> /var/spool/cron/crontabs/root
	echo "" >> /var/spool/cron/crontabs/root
	echo "Powiadamianie o aktualizacjach włączone"
	echo "Automatyczne sprawdzanie czy są aktualizacje odbywać się będzie"
	echo "pomiędzy godziną 20:00 a godziną 20:30"
fi
}
# <<--- Funkcje --->>

case "$1" in #Case dla $1
	'testnet')
		brama=`route| grep default | awk '{gsub(/:/," "); print $2}'`
		echo "Gate: $brama"
		ping -c 1 $brama
		echo ""
		ping -c 1 www.wp.pl
	;;
	'listrestore')
		list_restore
	;;
	'listbackup')
		list_backup
	;;
	'listuser')
		list_user
	;;
	'settingsbackup')
		settings_backup
	;;
	'setautoupdate')
		ustaw_autoupdate
	;;
	'checkupdate')
		check_update
	;;
	'checkupdatemess')
		check_updatemess
	;;
	'nandmount')
		nand_mount
	;;
	'nandbackup')
		nand_backup
	;;
	'oscamweb')
		ustawoscamwebif
	;;
	'oscamnoweb')
		ustawoscambezwebif
	;;
	'initext2')
		exttypeh=ext2
		init_hdd
	;;
	'initext3')
		exttypeh=ext3
		init_hdd
	;;
	'initext4')
		exttypeh=ext4
		init_hdd
	;;
	'restartgui')
		wget -q -O /dev/null http://127.0.0.1/web/powerstate?newstate=3
	;;
	'restart')
		wget -q -O /dev/null http://127.0.0.1/web/powerstate?newstate=2
	;;
	'wakeup')
		wget -q -O /dev/null http://127.0.0.1/web/powerstate?newstate=4
	;;
	'standby')
		wget -q -O /dev/null http://127.0.0.1/web/powerstate?newstate=5
	;;
	'null') #nic do zrobienia
		echo "null"
	;;
	'shutdown') #bezpieczne wyłączanie systemu
		if [ $vfd == on ]; then
			echo "System off" > /dev/vfd
		else
			echo "OFF" > /dev/vfd
		fi
		echo "system off"
		sleep 1
		halt
	;;
	*)
		noparms
	;;
esac
#EoF
