# uncompyle6 version 2.9.9
# Python bytecode 2.7 (62211)
# Decompiled from: Python 2.7.12 (default, Nov 20 2017, 18:23:56) 
# [GCC 5.4.0 20160609]
# Embedded file name: SoftwareUpdate.py
# Compiled at: 2018-04-06 10:01:40
from Screens.ChoiceBox import ChoiceBox
from Screens.MessageBox import MessageBox
from Screens.ParentalControlSetup import ProtectedScreen
from Screens.Screen import Screen
from Screens.Standby import TryQuitMainloop
from Screens.TextBox import TextBox
from Screens.About import CommitInfo
from Components.config import config
from Components.About import about
from Components.ActionMap import ActionMap
from IpkgComponent import IpkgComponent
from Components.Sources.StaticText import StaticText
from Components.Slider import Slider
from Components.Button import Button
from Components.Label import Label
from Components.ScrollLabel import ScrollLabel
from Tools.BoundFunction import boundFunction
from Tools.Directories import fileExists
from Tools.HardwareInfo import HardwareInfo
from enigma import eTimer, getBoxType, getDesktop, eDVBDB
from urllib2 import urlopen
import os
import socket

class UpdatePlugin(Screen, ProtectedScreen):
    skin = '\n\t\t<screen name="UpdatePlugin" position="center,center" size="550,300">\n\t\t\t<widget name="activityslider" position="0,0" size="550,5"  />\n\t\t\t<widget name="slider" position="0,150" size="550,30"  />\n\t\t\t<widget source="package" render="Label" position="10,30" size="540,20" font="Regular;18" halign="center" valign="center" backgroundColor="#25062748" transparent="1" />\n\t\t\t<widget source="status" render="Label" position="10,180" size="540,100" font="Regular;20" halign="center" valign="center" backgroundColor="#25062748" transparent="1" />\n\t\t</screen>'

    def __init__(self, session, *args):
        Screen.__init__(self, session)
        ProtectedScreen.__init__(self)
        self.sliderPackages = {'dreambox-dvb-modules': 1,'enigma2': 2,'tuxbox-image-info': 3}
        self.setTitle(_('Software update'))
        self.slider = Slider(0, 4)
        self['slider'] = self.slider
        self.activityslider = Slider(0, 100)
        self['activityslider'] = self.activityslider
        self.status = StaticText(_('Please wait...'))
        self['status'] = self.status
        self.package = StaticText(_('Package list update'))
        self['package'] = self.package
        self.oktext = _('Press OK on your remote control to continue.')
        self.packages = 0
        self.error = 0
        self.processed_packages = []
        self.total_packages = None
        self.updating = False
        self.ipkg = IpkgComponent()
        self.ipkg.addCallback(self.ipkgCallback)
        self.onClose.append(self.__close)
        self['actions'] = ActionMap(['WizardActions'], {'ok': self.exit,
           'back': self.exit
           }, -1)
        self.activity = 0
        self.activityTimer = eTimer()
        self.activityTimer.callback.append(self.checkTraficLight)
        self.activityTimer.callback.append(self.doActivityTimer)
        self.activityTimer.start(100, True)
        return

    def isProtected(self):
        return config.ParentalControl.setuppinactive.value and (not config.ParentalControl.config_sections.main_menu.value and not config.ParentalControl.config_sections.configuration.value or hasattr(self.session, 'infobar') and self.session.infobar is None) and config.ParentalControl.config_sections.software_update.value

    def checkTraficLight(self):
        self.activityTimer.callback.remove(self.checkTraficLight)
        self.activityTimer.start(100, False)
        currentTimeoutDefault = socket.getdefaulttimeout()
        socket.setdefaulttimeout(3)
        socket.setdefaulttimeout(currentTimeoutDefault)
        self.checkFreeSpace()

    def getFreeSpace(self, mountpoint):
        if mountpoint:
            stat_info = os.statvfs(mountpoint)
            free_flash_space = stat_info.f_bfree * stat_info.f_bsize
            return free_flash_space

    def checkFreeSpace(self):
        free_flash_space = self.getFreeSpace('/')
        if free_flash_space < 11000000:
            human_free_space = free_flash_space / 1048576
            msg = _('Warning! There are only %d MB free FLASH space available\nInstalling/updating packages can cause errors !\nContinue at your own risk ?') % human_free_space
            self.session.openWithCallback(self.cbSpaceCheck, MessageBox, msg)
        else:
            self.startActualUpdate(True)

    def cbSpaceCheck(self, result):
        if not result:
            self.close()
        else:
            self.startActualUpdate(True)

    def startActualUpdate(self, answer):
        if answer:
            self.updating = True
            if fileExists('/var/log/ipkg.log'):
                os.rename('/var/log/ipkg.log', '/var/log/ipkg_old.log')
            else:
                f = open('/var/log/ipkg.log', 'w')
                f.write('')
                f.close()
            self.ipkg.startCmd(IpkgComponent.CMD_UPDATE)
        else:
            self.close()

    def doActivityTimer(self):
        self.activity += 1
        if self.activity == 100:
            self.activity = 0
        self.activityslider.setValue(self.activity)

    def showUpdateCompletedMessage(self):
        self.slider.setValue(4)
        self.activityTimer.stop()
        self.activityslider.setValue(0)
        self.package.setText(_('Completed'))
        txt = _(ngettext('%d package was upgraded.', '%d packages were upgraded.', self.packages) % self.packages)
        if self.error > 0:
            txt += '\n' + _("Press OK and select 'Show ipkg.log' for troubleshoot.")
        else:
            txt += '\n' + _("Press OK and select 'Restart' for apply changes.")
        self.status.setText(txt)

    def showUpdateErrorMessage(self):
        self.slider.setValue(4)
        self.activityTimer.stop()
        self.activityslider.setValue(0)
        self.package.setText(_('Error'))
        txt = _('Your receiver might be unusable now. Show the ipkg.log and please consult at the http://forum.xunil.pl before rebooting your receiver.')
        if self.packages == 0:
            txt = _('No updates available. Please try again later.')
        if self.updating:
            txt = _('Update failed. Your receiver does not have a working internet connection.')
        self.status.setText(txt)

    def ipkgCallback(self, event, param):
        if event == IpkgComponent.EVENT_DOWNLOAD:
            self.package.setText(_('xunil.pl'))
            self.status.setText(_('Downloading'))
        elif event == IpkgComponent.EVENT_UPGRADE:
            if param in self.sliderPackages:
                self.slider.setValue(self.sliderPackages[param])
            self.package.setText(param)
            self.status.setText(_('Upgrading') + ': %s/%s' % (self.packages, self.total_packages))
            if param not in self.processed_packages:
                self.processed_packages.append(param)
                self.packages += 1
        elif event == IpkgComponent.EVENT_INSTALL:
            self.package.setText(param)
            self.status.setText(_('Installing'))
            if param not in self.processed_packages:
                self.processed_packages.append(param)
                self.packages += 1
        elif event == IpkgComponent.EVENT_REMOVE:
            self.package.setText(param)
            self.status.setText(_('Removing'))
            if param not in self.processed_packages:
                self.processed_packages.append(param)
                self.packages += 1
        elif event == IpkgComponent.EVENT_CONFIGURING:
            self.package.setText(param)
            self.status.setText(_('Configuring'))
        elif event == IpkgComponent.EVENT_MODIFIED:
            if config.plugins.softwaremanager.overwriteConfigFiles.value in ('N', 'Y'):
                self.ipkg.write(True and config.plugins.softwaremanager.overwriteConfigFiles.value)
            else:
                self.session.openWithCallback(self.modificationCallback, MessageBox, _('A configuration file (%s) has been modified since it was installed.\nDo you want to keep your modifications?') % param)
        elif event == IpkgComponent.EVENT_ERROR:
            self.error += 1
        elif event == IpkgComponent.EVENT_DONE:
            if self.updating:
                self.updating = False
                self.ipkg.startCmd(IpkgComponent.CMD_UPGRADE_LIST)
            elif self.ipkg.currentCommand == IpkgComponent.CMD_UPGRADE_LIST:
                self.total_packages = len(self.ipkg.getFetchedList())
                if self.total_packages and self.error == 0:
                    self.startActualUpgrade('hot')
                else:
                    message = _('No updates available.\nPlease try again later.')
                    if self.error > 0:
                        message = _('An error occurred while downloading the packetlist.\nPlease try again later.')
                    choices = []
                    choices.append((_('Cancel'), ''))
                    self.session.openWithCallback(self.startActualUpgrade, ChoiceBox, title=message, list=choices, windowTitle=self.title)
            elif self.error == 0:
                self.showUpdateCompletedMessage()
            else:
                self.showUpdateErrorMessage()

    def startActualUpgrade(self, answer):
        if not answer or not answer[1]:
            self.close()
            return
        arch = os.popen('uname -m').read()
        if 'mips' in arch:
            self.ipkg.startCmd(IpkgComponent.CMD_UPGRADE, args={'clean': True})
        elif 'sh4' in arch:
            self.ipkg.startCmd(IpkgComponent.CMD_UPGRADE, args={'clean': False})

    def modificationCallback(self, res):
        self.ipkg.write(res and 'N' or 'Y')

    def choicesrestart(self, answer):
        if not answer or not answer[1]:
            self.close()
            return
        if answer[1] == 'stb':
            self.session.open(TryQuitMainloop, retvalue=2)
        elif answer[1] == 'gui':
            self.session.open(TryQuitMainloop, 3)
        elif answer[1] == 'later':
            self.close()
        elif answer[1] == 'log':
            text = open('/var/log/ipkg.log', 'r').read()
            self.session.open(TextBox, text, _('/var/log/ipkg.log'), True)

    def exit(self):
        if not self.ipkg.isRunning():
            if self.packages != 0 and self.error == 0:
                message = _('Update completed. Do you want to restart?')
                choices = [(_('Yes, restart GUI'), 'gui'),
                 (
                  _('Yes, restart STB'), 'stb'),
                 (
                  _('No, maybe later'), 'later'),
                 (
                  _('Show ipkg.log'), 'log')]
                self.session.openWithCallback(self.choicesrestart, ChoiceBox, title=message, list=choices)
            else:
                message = _('Please choose what you want to do next.')
                choices = [(_('Exit'), 'later'),
                 (
                  _('Show ipkg.log'), 'log')]
                self.session.openWithCallback(self.choicesrestart, ChoiceBox, title=message, list=choices)
        elif not self.updating:
            self.close()

    def __close(self):
        self.ipkg.removeCallback(self.ipkgCallback)